/************************************************/
/*						*/
/*      Copyright:				*/
/*		 Jean-Marc Pigeon <jmp@safe.ca>	*/
/*	Distributed under the Gnu Public	*/
/*	License, see the License file in this	*/
/*	package.				*/
/*						*/
/*	Implement unit level procedure to 	*/
/*	handle clement specific needs.		*/
/*						*/
/************************************************/
#include	<time.h>
#
#include	"lowtyp.h"
#include	"subprc.h"
#include	"unijrl.h"
#include	"gesclm.h"
/*

*/
/************************************************/
/*						*/
/*	Procedure to prepare a specific journal	*/
/*						*/
/************************************************/
int clm_setjournal(int numjrl,DIRENUM dir,char *edition)

{
int status;
const char *dirjrl;

status=false;
if ((dirjrl=clm_appdir(dir))!=(const char *)0) {
  status=jrl_setjournal(numjrl,(char *)dirjrl,edition);  
  }
return status;
}
