/************************************************/
/*						*/
/*      Copyright:				*/
/*		 Jean-Marc Pigeon <jmp@safe.ca>	*/
/*	Distributed under the Gnu Public	*/
/*	License, see the License file in this	*/
/*	package.				*/
/*						*/
/*	Define function to prepare access to	*/
/*	IPC function.				*/
/*						*/
/************************************************/
#ifndef LVLIPC
#define LVLIPC
#include	"gesipc.h"
#include	"gestls.h"

typedef	enum	{
	ipev_none,	/*no event 'timeout'	*/
	ipev_post,	/*got a post message	*/
	ipev_tls,	/*got a tsl evevent	*/
	ipev_unknown	/*unknown event		*/
	}IPEVTYP;

extern MXCTYP *ipc_getmsgxchg(u_int boxsize,u_int msgsize);
extern MXCTYP *ipc_dropmsgxchg(MXCTYP *mxc);
extern IPEVTYP ipc_waitevent(BPTR *bptr,TLSFILE *tls,u_int timeout);
#endif
