/************************************************/
/*						*/
/*      Copyright:				*/
/*		 Jean-Marc Pigeon <jmp@safe.ca>	*/
/*	Distributed under the Gnu Public	*/
/*	License, see the License file in this	*/
/*	package.				*/
/*						*/
/*	Define Email transit directive		*/
/*	management level			*/
/*						*/
/************************************************/
#ifndef LVLTRT
#define LVLTRT
#include	"unique.h"
#include	"unisql.h"


extern int trt_delqueue(SQLFILE *sql,QUETYP *queue);
extern QUETYP **trt_cleanqueues(SQLFILE *sql,QUETYP **queues);
extern void trt_dbcleanup(SQLFILE *sql,time_t curtime);
extern u_int trt_transit(SQLFILE *sql,char *outip,char *smtpmx,char *smtpport,
		         char *from,DSPTYP *dsp,char *infile,RCPTYP **rcpts);
extern int trt_feedbanned(char *outip,TRUTYP *tru);
#endif
