/************************************************/
/*						*/
/*      Copyright:				*/
/*		 Jean-Marc Pigeon <jmp@safe.ca>	*/
/*	Distributed under the Gnu Public	*/
/*	License, see the License file in this	*/
/*	package.				*/
/*						*/
/*	Define all routine to manage language	*/
/*	string conversion.			*/
/*						*/
/************************************************/
#ifndef BASCNV
#define BASCNV

/*char 0 coding					*/
#define	IOBNULL	"\\000"

extern char *cnv_getqp(const char *qp);
extern char *cnv_getb64(char *b64);
extern char *cnv_setb64(const char *str);
extern char *cnv_mimequoted(char *strtoconv);
extern void cnv_checkencoding(char *strencoded);
#endif
