/************************************************/
/*						*/
/*      Copyright:				*/
/*		 Jean-Marc Pigeon <jmp@safe.ca>	*/
/*	Distributed under the Gnu Public	*/
/*	License, see the License file in this	*/
/*	package.				*/
/*						*/
/*	Define module level routines to handle	*/
/*	"CLAMAV" anti-virus scanner access	*/
/*						*/
/************************************************/
#ifndef LVLCLA
#define LVLCLA

/*message to send in case of VIRUS		*/
#define CLAVIR	"Mail rejected: virus detected"

/*clamav applicattion name			*/
#define	CLAMAV	"clamav"


typedef enum	{
	cla_clean,	/*no virus detected	*/
	cla_virus,	/*virus detected	*/
	cla_nocheck	/*nocheck done		*/
	}CLMCHKTYP;

typedef	void CLAMTYP;

extern CLAMTYP *cla_openscanner(char *hostname,char *port);
extern CLAMTYP *cla_closescanner(CLAMTYP *clamav);
extern CLMCHKTYP cla_checkvirus(CLAMTYP **clamav,char *filename,const char **virname);
extern char *cla_getversdate(CLAMTYP *clamav);
#endif
