/************************************************/
/*						*/
/*      Copyright:				*/
/*		 Jean-Marc Pigeon <jmp@safe.ca>	*/
/*	Distributed under the Gnu Public	*/
/*	License, see the License file in this	*/
/*	package.				*/
/*						*/
/*	Define routine to manage E-mail		*/
/*	statistic collection			*/
/*						*/
/************************************************/
#ifndef LVLSTA
#define LVLSTA
#include	"unieml.h"
#include	"gescnf.h"

#define	STATFRM	"STATFROM"	/*stat data	*/
#define	STATCOL	"STATCOL"	/*stat collation*/
#define	ALLDOM	"All"	/*all Domain statistics	*/

typedef	void STATYP;

extern STATYP *sta_mkstats();
extern STATYP *sta_freestats(STATYP *stats);
extern STATYP *sta_addstats(CNFTYP *cnf,STATYP *stats,char *msg);
extern STATYP *sta_movestats(STATYP *stats);
extern int sta_dumpstats(STATYP *stats);
extern char **sta_statstomsg(time_t temps,STATYP *stats,int ndxtime);
extern STATYP *sta_msgtostats(STATYP *stats,char **msglst);
extern STATYP *sta_collationne(STATYP *stats,char *grpname,char *domname,
		   	       MENTYP mstatus,u_long in,u_long out);
#endif
